package com.zcloud.primeport.domain.gateway;

import com.zcloud.primeport.domain.model.VideoE;

/**
 * web-domain
 *
 * @Author makejava
 * @Date 2026-03-05 11:33:30
 */
public interface VideoGateway {

    /**
     * 新增
     */
    Boolean add(VideoE videoE);

    /**
     * 修改
     */
    Boolean update(VideoE videoE);

    /**
     * 删除
     */
    Boolean deletedVideoById(Long id);

    Boolean deletedVideoByIds(Long[] id);
}

